<section id="tables">
  <div class="glass" #left id="left">
    <h1>Programmiersprachen</h1>
    <table mat-table [dataSource]="languages" id="languages">
      <ng-container matColumnDef="label">
        <th mat-header-cell *matHeaderCellDef> Sprache </th>
        <td mat-cell *matCellDef="let element"> {{element.label}} </td>
      </ng-container>

      <ng-container matColumnDef="basic">
        <th mat-header-cell *matHeaderCellDef> Grundkenntnisse </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 1 ? 'X' : ''}} </td>
      </ng-container>

      <ng-container matColumnDef="normal">
        <th mat-header-cell *matHeaderCellDef> Erweiterte Grundkenntnisse </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 2 ? 'X' : ''}} </td>
      </ng-container>

      <ng-container matColumnDef="advanced">
        <th mat-header-cell *matHeaderCellDef> Fortgeschritten </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 3 ? 'X' : ''}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>

  <div class="glass" #right id="right">
    <h1>Frameworks</h1>
    <table mat-table [dataSource]="frameworks" id="frameworks">
      <ng-container matColumnDef="label">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element"> {{element.label}} </td>
      </ng-container>

      <ng-container matColumnDef="basic">
        <th mat-header-cell *matHeaderCellDef> Grundkenntnisse </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 1 ? 'X' : ''}} </td>
      </ng-container>

      <ng-container matColumnDef="normal">
        <th mat-header-cell *matHeaderCellDef> Erweiterte Grundkenntnisse </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 2 ? 'X' : ''}} </td>
      </ng-container>

      <ng-container matColumnDef="advanced">
        <th mat-header-cell *matHeaderCellDef> Fortgeschritten </th>
        <td mat-cell *matCellDef="let element"> {{element.level == 3 ? 'X' : ''}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
</section>

<section id="speaking" class="glass" #bottom>
  <h1>Sprachen</h1>

  <div id="lang-wrapper">
    <div>
      <h2><img src="/assets/images/flags/germany.jpeg" alt="Deutschlandflagge">Deutsch</h2>
      <span>Fließend</span>
    </div>

    <div>
      <h2><img src="/assets/images/flags/united_kingdom.jpeg" alt="Englandflagge">Englisch</h2>
      <span>Erweiterte Grundkenntnisse</span>
    </div>

    <div>
      <h2><img src="/assets/images/flags/spain.jpeg" alt="Spanien Flagge">Spanisch</h2>
      <span>Grundkenntnisse</span>
    </div>
  </div>
</section>
